GeoCoding
This method returns a Collection of matching GeoCoding results for the searched address.
GET/api/opendata/geocoding
Query parameters
qrequiredstring | address search |
Responses
200This method returns a Collection of matching GeoCoding results for the searched address.Collection
Request
curl --request GET \
--url 'https://your-instance.iw-erp.de/api/opendata/geocoding?q=string'const options = {method: 'GET'};
fetch('https://your-instance.iw-erp.de/api/opendata/geocoding?q=string', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/geocoding?q=string"
response = requests.get(url)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/opendata/geocoding?q=string');
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/geocoding?q=string"),
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/geocoding?q=string")
.get()
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/geocoding?q=string"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/geo_coding_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await GeoCodingController.get('…');
if (result.success) {
print(result.data);
}Response 200 application/json
{}